OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_ListIteratorOfListOfMapOfShape Class Reference

`#include <TNaming_ListIteratorOfListOfMapOfShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_ListIteratorOfListOfMapOfShape ()
Standard_EXPORT | TNaming_ListIteratorOfListOfMapOfShape (const TNaming_ListOfMapOfShape &L)
Standard_EXPORT void | Initialize (const TNaming_ListOfMapOfShape &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT TopTools_MapOfShape & | Value () const
## Private Attributes
Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_ListIteratorOfListOfMapOfShape::TNaming_ListIteratorOfListOfMapOfShape | ( |  | ) |

Standard_EXPORT TNaming_ListIteratorOfListOfMapOfShape::TNaming_ListIteratorOfListOfMapOfShape | ( | const TNaming_ListOfMapOfShape & | L | ) |

## Member Function Documentation

Standard_EXPORT void TNaming_ListIteratorOfListOfMapOfShape::Initialize | ( | const TNaming_ListOfMapOfShape & | L | ) |

Standard_Boolean TNaming_ListIteratorOfListOfMapOfShape::More | ( |  | ) | const

Standard_EXPORT void TNaming_ListIteratorOfListOfMapOfShape::Next | ( |  | ) |

void TNaming_ListIteratorOfListOfMapOfShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_ListIteratorOfListOfMapOfShape::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_ListIteratorOfListOfMapOfShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT TopTools_MapOfShape& TNaming_ListIteratorOfListOfMapOfShape::Value | ( |  | ) | const

## Field Documentation

Standard_Address TNaming_ListIteratorOfListOfMapOfShape::current`[private]`

Standard_Address TNaming_ListIteratorOfListOfMapOfShape::previous`[private]`

The documentation for this class was generated from the following file:

- TNaming_ListIteratorOfListOfMapOfShape.hxx